Public APIAPI ReferenceApps
Get an app's default compute settings.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
GET
/v1/apps/{appId}/compute-settingsA user with access to the team retrieves the app's default compute settings and the sources of the current production deployment's settings.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
appId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/apps/string/compute-settings"{ "maxInstances": 0, "minInstances": 0, "port": 0, "productionSources": { "maxInstances": "string", "minInstances": "string", "port": "string", "regions": "string", "tier": "string" }, "regions": [ "string" ], "tier": "string", "updatedAt": "2019-08-24T14:15:22Z"}